<?php //子テーマ用関数
//親skins の取得有無の設定
function include_parent_skins(){
  return true; //親skinsを含める場合はtrue、含めない場合はfalse
}
//子テーマ用のビジュアルエディタースタイルを適用
add_editor_style();
//以下にSimplicity子テーマ用の関数を書く
function short_php($params = array()) {
  extract(shortcode_atts(array(
    'file' => 'default'
  ), $params));
  ob_start();
  include(STYLESHEETPATH . "/$file.php");
  return ob_get_clean();
}
add_shortcode('myphp1', 'short_php');
//カテゴリーの表示数変更
function category_show_30_posts($wp_query) {
	if ($wp_query->is_main_query() && $wp_query->is_category()) {
		$wp_query->set('posts_per_page', 30);
	}
}
add_action('pre_get_posts', 'category_show_30_posts');
//検索の表示数変更
function search_show_30_posts($wp_query) {
	if ($wp_query->is_main_query() && $wp_query->is_search()) {
		$wp_query->set('posts_per_page', 30);
	}
}
add_action('pre_get_posts', 'search_show_30_posts');

//カスタムフィールドで外部CSSを複数読み込み
function include_custom_css(){
	if(is_single()||is_page()){
	if($css = get_post_meta(get_the_ID(), 'includeCSS', true)){
	echo "<link type=\"text/css\" rel=\"stylesheet\" href=\"{$css}\" />\n";
						}
					}
				}
add_action('wp_head','include_custom_css');
function add_page_style() {
	// フロントページの場合のみCSSを追加 (例: テンプレートフォルダ内のtop.css)
	if (is_page(array('about','contact'))) {
		wp_enqueue_style( 'page-style', get_template_directory_uri() . '/nonestyle.css' );
	}
}
add_filter('wp_nav_menu_items','add_search_box', 10, 2);
add_filter('wp_nav_menu_items','add_search_box', 10, 2);
function add_search_box($items, $args) {
 ob_start();
 get_search_form();
 $searchform = ob_get_contents();
 ob_end_clean();
 
 $items .= '<li>' . $searchform . '</li>';
 
return $items;
}
